#include "GfxBoxObject.h"

/**
 * Constructor
 */
GfxBoxObject::GfxBoxObject( float width, float height, float depth )
:_width(width)
,_height(height)
,_depth(depth)
{
}

/**
 * Destructor
 */
GfxBoxObject::~GfxBoxObject()
{
}

// @Override
void GfxBoxObject::drawComponent()
{
    glBegin(GL_QUADS);
        // front
        glNormal3d( 0, 0, 1 );
        glVertex3d( 0, 0, _depth );
        glVertex3d( _width, 0, _depth );
        glVertex3d( _width, _height, _depth );
        glVertex3d( 0, _height, _depth );

        // back
        glNormal3d( 0, 0, -1 );
        glVertex3d( 0, 0, 0 );
        glVertex3d( 0, _height, 0 );
        glVertex3d( _width, _height, 0 );
        glVertex3d( _width, 0, 0 );

        // left
        glNormal3d( -1, 0, 0 );
        glVertex3d( 0, 0, 0 );
        glVertex3d( 0, _height, 0 );
        glVertex3d( 0, _height, _depth );
        glVertex3d( 0, 0, _depth );

        // right
        glNormal3d( 1, 0, 0  );
        glVertex3d( _width, 0, 0 );
        glVertex3d( _width, 0, _depth );
        glVertex3d( _width, _height, _depth );
        glVertex3d( _width, _height, 0 );

        // top
        glNormal3d( 0, 1, 0 );
        glVertex3d( 0, _height, 0 );
        glVertex3d( _width, _height, 0 );
        glVertex3d( _width, _height, _depth );
        glVertex3d( 0, _height, _depth );

        // bottom
        glNormal3d( 0, -1, 0 );
        glVertex3d( 0, 0, 0 );
        glVertex3d( 0, 0, _depth );
        glVertex3d( _width, 0, _depth );
        glVertex3d( _width, 0, 0 );
    glEnd();
}