#ifndef _KEYSTATELABEL_H_
#define _KEYSTATELABEL_H_

#include "GfxFtStringObject.h"
#include "KeyStateListener.h"

class KeyStateLabel: public GfxObject, public KeyStateListener 
{
public:
	KeyStateLabel();
	~KeyStateLabel();  
	void updateText();

    virtual void handleKeyStateChanged(){ updateText(); }
protected:
	virtual void drawComponent();

private:
	GfxFtStringObject _keyLabel;
	GfxFtStringObject _modeLabel;


};

#endif // _KEYSTATELABEL_H_
