#ifndef _PADEVENT_H_
#define _PADEVENT_H_

#include "PadData.h"
#include "MidiEvent.h"

class PadEvent
{
public:
	PadEvent( PadData& p, MidiEvent& e );
	~PadEvent();

	int padId() { return _padData.id(); }
	MidiEvent& midiEvent(){ return _midiEvent; }
    PadData& padData(){ return _padData; }

private:
	PadData& _padData;
	MidiEvent& _midiEvent;
	
};

#endif // _PADEVENT_H_
