#include "ClassException.h"

/**
 * Constructor
 */
ClassException::ClassException( string& className, string& methodName, 
                               string& description )
:_className(className)
,_methodName(methodName)
,_description(description)
{
}

/**
 * Constructor
 */
ClassException::ClassException( const char* className, const char* methodName,
                               const char* description )
:_className(className)
,_methodName(methodName)
,_description(description)
{
}

/**
 * Destructor
 */
ClassException::~ClassException() throw()
{
}

// @override
const char* ClassException::what() const throw()
{
	string output;
	output += "[";
	output += _className;
	output += "]";
	
	output += _methodName;
	output += "() : ";

	output += _description;
	
	return output.c_str();
}
