#ifndef _GFXBOXOBJECT_H_
#define _GFXBOXOBJECT_H_

#include "Common.h"

#include "GfxObject.h"

class GfxBoxObject: public GfxObject 
{
public:
    GfxBoxObject( float width = 1, float height = 1, float depth = 1 );
    virtual ~GfxBoxObject();

    void width( float w ){ assert( w > 0 ); _width = w; }
    float width(){ return _width; }
    
    void height( float h ){ assert( h > 0 ); _height = h; }
    float height(){ return _height; }
    
    void depth( float d ){ assert( d > 0 ); _depth = d; }
    float depth(){ return _depth; }

protected:
    /**
     * Renders the object.
     */
    virtual void drawComponent();

private:
    float _width;
    float _height;
    float _depth;
};

#endif // _GFXBOXOBJECT_H_
