#include "GfxStringObject.h"

/**
 * Default constructor
 */
GfxStringObject::GfxStringObject()
{
}

/**
 * Constructor
 */
GfxStringObject::GfxStringObject( string& s )
:_text(s)
{
}

/**
 * Destructor
 */
GfxStringObject::~GfxStringObject()
{
}

/**
 * Sets the text.
 */
void GfxStringObject::setText( string& t )
{
    _text = t;
}

// @Override
void GfxStringObject::drawComponent()
{
	glRasterPos3f(0, 0, 0); 

    for( unsigned int i = 0; i < _text.size(); i++ )
    {
		glutBitmapCharacter( GLUT_BITMAP_HELVETICA_18, _text[i] );
    }
}
