#ifndef _MIDIENGINELISTENER_H_
#define _MIDIENGINELISTENER_H_

#include "MidiEvent.h"

/**
 * Interface for MidiEngine listeners.
 */
class MidiEngineListener
{
public:
    /**
     * Handles MidiEvents. The input is a reference. 
     * If the subclass needs it, COPY IT!
     */
    virtual void handleMidiMessage( MidiEvent& e ) = 0;
};
#endif // _MIDIEVENT_H_