#ifndef _PADEVENTLISTENER_H_
#define _PADEVENTLISTENER_H_

#include "PadEvent.h"

/**
 * Interface for PadEvent listeners.
 */
class PadEventListener
{
public:
    /**
     * Handles PadEvent. The input is a reference. 
     * If the subclass needs it, COPY IT!
     */
    virtual void handlePadEvent( PadEvent& e ) = 0;
};

#endif // _PADEVENTLISTENER_H_