#ifndef _TEXTSUGGESTOR_H_
#define _TEXTSUGGESTOR_H_

#include "Common.h"

#include <deque>

#include "GfxFtStringObject.h"
#include "PadStatsListener.h"
#include "PadStatistics.h"
#include "Interpolator.h"

class TextSuggestor: public GfxObject, public PadStatsListener
{
public:
	static unsigned int SPACING;
public:
	TextSuggestor( PadStatistics& ps );
	virtual ~TextSuggestor();
	
	virtual void handleChange();

protected:
    virtual void drawComponent();

private:
	PadStatistics& _padStats;
	deque<GfxFtStringObject*> _textObjects;
	deque<Interpolator> _xPosList;
};

#endif // _TEXTSUGGESTOR_H_
