#ifndef _CLASSEXCEPTION_H_
#define _CLASSEXCEPTION_H_

#include "Common.h"

using namespace std;

class ClassException: public exception 
{
public:
	ClassException( string& className, string& methodName, 
	               string& description );
	ClassException( const char* className, const char* methodName, 
	               const char* description );
	virtual ~ClassException() throw();
	virtual const char* what() const throw();

private:
	string _className;
	string _methodName;
	string _description;

};

#endif // _CLASSEXCEPTION_H_
